Supercard DSTWO 3DS Firmware 2.2.0-4 Fix Released

by dsiso on November 7, 2011

A fix for the very mischievous Nintendo 3DS ver2.2.0-4 flashcart blocking firmware has been released by team Supercard. For those who are unaware the ver2.2.0-4 firmware is mandatory if you want to play Super Mario 3D Land. So if you have a SCDS2 and want to play Mario 3D, you do not have to worry about your SCDS2 being blocked any more!

Posted ImageFiletrip Download
Posted ImageOngoing Discussion courtesy of Dialga.The.Master.Of.Time.

Tweet this!Tweet this!

Previous post:

Next post: